org.mozilla.javascript.ast

## Class AstNode.DebugPrintVisitor

- java.lang.Object
- - org.mozilla.javascript.ast.AstNode.DebugPrintVisitor

- All Implemented Interfaces:
    NodeVisitor
  Enclosing class:
    AstNode

      protected static class AstNode.DebugPrintVisitor
      extends java.lang.Object
      implements NodeVisitor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AstNode.DebugPrintVisitor(java.lang.StringBuilder buf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `boolean` | `visit(AstNode node)` Visits an AST node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AstNode.DebugPrintVisitor

          public AstNode.DebugPrintVisitor(java.lang.StringBuilder buf)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### visit

          public boolean visit(AstNode node)

      Description copied from interface: `NodeVisitor`
      Visits an AST node.
      Specified by:
        `visit` in interface `NodeVisitor`
      Parameters:
        `node` - the AST node. Will never visit an `AstRoot` node, since the `AstRoot` is where the visiting begins.
      Returns:
        `true` if the children should be visited. If `false`, the subtree rooted at this node is skipped. The `node` argument should never be `null` -- the individual `AstNode` classes should skip any children that are not present in the source when they invoke this method.